Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.transform
Class TransformException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.bea.transform.TransformException

All Implemented Interfaces:
  Serializable

    public class TransformException

extends RuntimeException

Exception for Transformation runtime exceptions.

See Also:
  Serialized Form

Constructor Summary
`TransformException(int code)` constructors for system defined exceptions
`TransformException(int code, Object param)`
`TransformException(int code, Object[] params)`
`TransformException(int code, Object[] params, Throwable cause)`
`TransformException(int code, Object param1, Object param2)`
`TransformException(int code, Object param1, Object param2, Throwable cause)`
`TransformException(int code, Object param, Throwable cause)`
`TransformException(int code, Throwable cause)`
`TransformException(String message)` constructors for user defined exceptions
`TransformException(String message, Object param)`
`TransformException(String message, Object[] params)`
`TransformException(String message, Object[] params, Throwable cause)`
`TransformException(String message, Object param1, Object param2)`
`TransformException(String message, Object param1, Object param2, Throwable cause)`
`TransformException(String message, Object param, Throwable cause)`
`TransformException(String message, Throwable cause)`
`TransformException(com.bea.xquery.exceptions.XQRLException e)` XQRLException wrapper

Method Summary
`int` | `getFaultCode()` Returns the fault code of the transform exception For details see TransformFaultCodes.java
`String` | `getMessage()` exception message

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformException

    public TransformException(String message)

  constructors for user defined exceptions

### TransformException

    public TransformException(String message,
                              Object param)

### TransformException

    public TransformException(String message,
                              Object param1,
                              Object param2)

### TransformException

    public TransformException(String message,
                              Object[] params)

### TransformException

    public TransformException(String message,
                              Throwable cause)

### TransformException

    public TransformException(String message,
                              Object param,
                              Throwable cause)

### TransformException

    public TransformException(String message,
                              Object param1,
                              Object param2,
                              Throwable cause)

### TransformException

    public TransformException(String message,
                              Object[] params,
                              Throwable cause)

### TransformException

    public TransformException(int code)

  constructors for system defined exceptions

### TransformException

    public TransformException(int code,
                              Object param)

### TransformException

    public TransformException(int code,
                              Object param1,
                              Object param2)

### TransformException

    public TransformException(int code,
                              Object[] params)

### TransformException

    public TransformException(int code,
                              Throwable cause)

### TransformException

    public TransformException(int code,
                              Object param,
                              Throwable cause)

### TransformException

    public TransformException(int code,
                              Object param1,
                              Object param2,
                              Throwable cause)

### TransformException

    public TransformException(int code,
                              Object[] params,
                              Throwable cause)

### TransformException

    public TransformException(com.bea.xquery.exceptions.XQRLException e)

  XQRLException wrapper

Method Detail

### getFaultCode

    public int getFaultCode()

  Returns the fault code of the transform exception For details see TransformFaultCodes.java

### getMessage

    public String getMessage()

  exception message

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD